| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Attributes | Properties | List of all members
Digikam::ItemVisibilityControllerPropertyObject Class Reference
Inheritance diagram for Digikam::ItemVisibilityControllerPropertyObject:

## Signals
void | opacityChanged ()
void | visibleChanged ()

## Public Member Functions
| ItemVisibilityControllerPropertyObject (QObject *const parent=nullptr)
| You can use this object as a container providing the properties set by ItemVisibilityController.
bool | isVisible () const
qreal | opacity () const
void | setOpacity (qreal opacity)
void | setVisible (bool visible)

## Protected Attributes
qreal | m_opacity = 0.0
bool | m_visible = false

## Properties
qreal | opacity
bool | visible

## Constructor & Destructor Documentation

## ◆ ItemVisibilityControllerPropertyObject()

Digikam::ItemVisibilityControllerPropertyObject::ItemVisibilityControllerPropertyObject | ( | QObject *const | parent = `nullptr` | ) |
| explicit

Connect to the signals accordingly, e.g. to trigger a repaint.